
all: bin bin/testsearch bin/createindex libs/search.so ../gamestradamus/search.so

bin:
	mkdir -p bin

clean:
	rm bin/testsearch bin/createindex libs/search.so src/*.o

bin/testsearch: src/testsearch.cpp
	g++ -O2 -o bin/testsearch src/testsearch.cpp -Isrc/ -l pqxx -Wall -std=gnu++0x -lboost_program_options -lboost_timer -lboost_system -lboost_chrono -lrt -Iboost_1_52_0 -Lboost_1_52_0/stage/lib

bin/createindex: src/createindex.cpp
	g++ -O2 -o bin/createindex src/createindex.cpp -Isrc/ -l pqxx -Wall -std=gnu++0x -lboost_program_options -lboost_timer -lboost_system -lboost_serialization -lboost_chrono -lrt -Iboost_1_52_0 -Lboost_1_52_0/stage/lib

libs/search.so: src/python-search.cpp
	mkdir -p libs
	g++  -std=gnu++0x -ftemplate-depth-128 -O0 -fno-inline -Wall -g -fPIC -c -o src/search.o src/python-search.cpp -Isrc/ -Iboost_1_52_0 -I../env/include/python2.7
	g++ -Lboost_1_52_0/stage/lib -o libs/search.so -Wl,-h -Wl,search.so -shared -Wl,--start-group "src/search.o" -lboost_python -lboost_serialization -lboost_system -Wl,-Bstatic  -Wl,-Bdynamic -lutil -lpthread -ldl -Wl,--end-group -g

../gamestradamus/search.so: libs/search.so
	cp libs/search.so ../gamestradamus/crystalball/search.so

deps:
	sudo apt-get install libboost1.48-all-dev g++ libpqxx-3.1 libpqxx3-dev
